Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class MonitorPlugin

    java.lang.Object
      org.joone.util.MonitorPlugin

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, NeuralNetListener

Direct Known Subclasses:
  ConvergenceObserver, DynamicAnnealing, ErrorBasedTerminator, GroovyMacroPlugin, LinearAnnealing, MacroPlugin, SnapshotPlugin

    public abstract class MonitorPlugin

extends java.lang.Object
implements java.io.Serializable, NeuralNetListener

This class represents a generic listener of the net's events. Any new listener can be created simply extending this class and filling the manageXxxx methods with the necessary code.

See Also:
  Serialized Form

Constructor Summary
`MonitorPlugin()`

Method Summary
`void` | `cicleTerminated(NeuralNetEvent e)` cicleTerminated method.
`void` | `errorChanged(NeuralNetEvent e)`
`java.lang.String` | `getName()` Getter for property name.
`NeuralNet` | `getNeuralNet()`
`int` | `getRate()` Getter for property rate.
`protected abstract void` | `manageCycle(Monitor mon)`
`protected abstract void` | `manageError(Monitor mon)`
`protected abstract void` | `manageStart(Monitor mon)`
`protected abstract void` | `manageStop(Monitor mon)`
`protected abstract void` | `manageStopError(Monitor mon, java.lang.String msgErr)`
`void` | `netStarted(NeuralNetEvent e)`
`void` | `netStopped(NeuralNetEvent e)` netStopped method comment.
`void` | `netStoppedError(NeuralNetEvent e, java.lang.String error)`
`void` | `setName(java.lang.String name)` Setter for property name.
`void` | `setNeuralNet(NeuralNet neuralNet)`
`void` | `setRate(int rate)` Setter for property rate.
`protected boolean` | `toBeManaged(Monitor monitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitorPlugin

    public MonitorPlugin()

Method Detail

### cicleTerminated

    public void cicleTerminated(NeuralNetEvent e)

  cicleTerminated method.

  Specified by:
    `cicleTerminated` in interface `NeuralNetListener`

### netStopped

    public void netStopped(NeuralNetEvent e)

  netStopped method comment.

  Specified by:
    `netStopped` in interface `NeuralNetListener`

### netStarted

    public void netStarted(NeuralNetEvent e)

  Specified by:
    `netStarted` in interface `NeuralNetListener`

### errorChanged

    public void errorChanged(NeuralNetEvent e)

  Specified by:
    `errorChanged` in interface `NeuralNetListener`

### netStoppedError

    public void netStoppedError(NeuralNetEvent e,
                                java.lang.String error)

  Specified by:
    `netStoppedError` in interface `NeuralNetListener`

### toBeManaged

    protected boolean toBeManaged(Monitor monitor)

### manageStop

    protected abstract void manageStop(Monitor mon)

### manageCycle

    protected abstract void manageCycle(Monitor mon)

### manageStart

    protected abstract void manageStart(Monitor mon)

### manageError

    protected abstract void manageError(Monitor mon)

### manageStopError

    protected abstract void manageStopError(Monitor mon,
                                            java.lang.String msgErr)

### getName

    public java.lang.String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(java.lang.String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### getRate

    public int getRate()

  Getter for property rate. This property represents the interval (# of cycles) between two calls to the manageXxxx methods.

  Returns:
    Value of property rate.

### setRate

    public void setRate(int rate)

  Setter for property rate. This property represents the interval (# of cycles) between two calls to the manageXxxx methods.

  Parameters:
    `rate` - New value of property rate.

### getNeuralNet

    public NeuralNet getNeuralNet()

### setNeuralNet

    public void setNeuralNet(NeuralNet neuralNet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net